Skip to main content
POST
/
logs
/
count
Get Logs Count
curl --request POST \
  --url https://api.streamkap.com/logs/count \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_ids": [],
  "destination_ids": [],
  "transform_ids": []
}
'
import requests

url = "https://api.streamkap.com/logs/count"

payload = {
"source_ids": [],
"destination_ids": [],
"transform_ids": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({source_ids: [], destination_ids: [], transform_ids: []})
};

fetch('https://api.streamkap.com/logs/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "since": "<string>",
  "filters_applied": {
    "source_ids": [],
    "destination_ids": [],
    "transform_ids": [],
    "log_level": "<string>"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

since
string
required

Count logs after this timestamp (ISO 8601)

log_level
string | null

Comma-separated log levels

Body

application/json

Request body for log count endpoint.

source_ids
string[]
destination_ids
string[]
transform_ids
string[]

Response

Successful Response

Response model for log count endpoint.

count
integer
required
since
string
required
filters_applied
LogCountFiltersApplied · object
required

Filters that were applied to the count query.